Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
alte python Version händisch loswerden
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
tazinblack
Veteran
Veteran


Joined: 23 Jan 2005
Posts: 1123
Location: Baden / Germany

PostPosted: Fri Jan 11, 2019 1:10 pm    Post subject: alte python Version händisch loswerden Reply with quote

Hallo zusammen,

so, jetzt hab ich den Salat. Ich hatte bis jetzt noch python-3.4 und python-3.5 in den PYTHON_TARGETS.
Beim world update will er jetzt python-3.4.8 neu bauen. Das schlägt aber fehl.
Eigentlich brauch ich python-3.4 ja nicht mehr. Also dachte ich, ich fahr einfach mit 2.7 und 3.6 weiter.

Wie bekomme ich jetzt raus, welche Pakete noch gegen python-3.4 gebaut sind.

Code:
equery d python:3.4
liefert mir alle Pakete, welche PYTHON_TARGETS python-3_4 haben, aber auch die, welche schon mit PYTHON_TARGETS -python-3_4 kompiliert sind
_________________
Gruß / Regards
tazinblack
_______________________________________________________
what's the point in being grown up if you can't be childish sometimes
Back to top
View user's profile Send private message
tazinblack
Veteran
Veteran


Joined: 23 Jan 2005
Posts: 1123
Location: Baden / Germany

PostPosted: Fri Jan 11, 2019 1:46 pm    Post subject: Reply with quote

Da gibts wohl nen Bug zu:

https://bugs.gentoo.org/673960

Leider gibts noch kein 3.4.9 im Repository
_________________
Gruß / Regards
tazinblack
_______________________________________________________
what's the point in being grown up if you can't be childish sometimes
Back to top
View user's profile Send private message
ChrisJumper
Advocate
Advocate


Joined: 12 Mar 2005
Posts: 2206
Location: Germany

PostPosted: Fri Jan 11, 2019 11:16 pm    Post subject: Reply with quote

Ich würde mich ans Wiki halten oder mit einer minimalen Konfiguration die im Wiki oder den News steht. Ich kann hier gerade nicht schauen wie die ausschauen würde, weil meine Targets bestimmt veraltet sind. Hab 3.5, 3.4, 2.7 bei Targets und beim Single Target lediglich python 3.5. Denke die Empfehlung ist aber schlanker. Gegebenfalls mal ohne die Variablen probieren und schauen ob Gentoo das über das gesetzte Profile macht.

Da es kein python-updater mehr gibt, macht man dann eigentlich nach dem ändern der Werte und dem setzen der Python Version via eselect einfach ein world update mit newuse deep und update.

Was Python und Openssl angeht, da kannst du die Version neu bauen die du aktuell hast und Eventuell noch dev-python/pyopenssl. Weil dev-libs/openssl hat ja keine Python-Flags.

Probiere doch einfach mal mit 3.5 und 2.7 als Targets und im Single Target 3.5?

Hängt natürlich auch von deinen installierten Paketen ab.
Back to top
View user's profile Send private message
mike155
l33t
l33t


Joined: 17 Sep 2010
Posts: 994
Location: Frankfurt, Germany

PostPosted: Sat Jan 12, 2019 3:34 am    Post subject: Reply with quote

Quote:
Wie bekomme ich jetzt raus, welche Pakete noch gegen python-3.4 gebaut sind.

Code:
ls -la /usr/lib/python3.4/site-packages
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3574
Location: Germany

PostPosted: Sat Jan 12, 2019 12:31 pm    Post subject: Re: alte python Version händisch loswerden Reply with quote

tazinblack wrote:
[...]
Wie bekomme ich jetzt raus, welche Pakete noch gegen python-3.4 gebaut sind.

Code:
equery d python:3.4
liefert mir alle Pakete, welche PYTHON_TARGETS python-3_4 haben, aber auch die, welche schon mit PYTHON_TARGETS -python-3_4 kompiliert sind

Hi,
die reverse dependencies kanns du dir am besten direkt vom package manager (portage) via
Code:
emerge -a --verbose --depclean python:3.4 python:3.5
ausgeben lassen. (Schau dort dann bei den unter "pulled in by: ..." gelisteten)

Quote:
Beim world update will er jetzt python-3.4.8 neu bauen.
Dann wird python:3.4 noch (aufgrund deiner Konfiguration) gebraucht.
Zum auflisten deiner Konfiguration schau zb via
Code:
grep -ri python_ /etc/portage/
Mit der Auflistung solle normal alles ersichtlich sein.
Back to top
View user's profile Send private message
tazinblack
Veteran
Veteran


Joined: 23 Jan 2005
Posts: 1123
Location: Baden / Germany

PostPosted: Sun Jan 13, 2019 11:52 am    Post subject: Re: alte python Version händisch loswerden Reply with quote

Josef.95 wrote:
tazinblack wrote:
[...]
Wie bekomme ich jetzt raus, welche Pakete noch gegen python-3.4 gebaut sind.

Code:
equery d python:3.4
liefert mir alle Pakete, welche PYTHON_TARGETS python-3_4 haben, aber auch die, welche schon mit PYTHON_TARGETS -python-3_4 kompiliert sind

Hi,
die reverse dependencies kanns du dir am besten direkt vom package manager (portage) via
Code:
emerge -a --verbose --depclean python:3.4 python:3.5
ausgeben lassen. (Schau dort dann bei den unter "pulled in by: ..." gelisteten)

Quote:
Beim world update will er jetzt python-3.4.8 neu bauen.
Dann wird python:3.4 noch (aufgrund deiner Konfiguration) gebraucht.
Zum auflisten deiner Konfiguration schau zb via
Code:
grep -ri python_ /etc/portage/
Mit der Auflistung solle normal alles ersichtlich sein.


ok, war wohl in package.use:

Code:
>=dev-lang/python-3.4.3-r1 sqlite


Wobei ichs nicht ganz verstehe
_________________
Gruß / Regards
tazinblack
_______________________________________________________
what's the point in being grown up if you can't be childish sometimes
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum